<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SystemCredential extends Model{

  protected $guarded = array('id');
  public $table = "sys_credentials";

  public function modified_by_info(){
    return $this->hasOne('App\Models\SystemUser', 'id', 'last_modified_by_id');
  }
  public function network_info(){
    return $this->hasOne('App\Models\NetworkOps', 'id', 'network_id');
  }
  public function client_info(){
    return $this->hasOne('App\Models\Client', 'id', 'client_id');
  }
  public function created_by_info(){
    return $this->hasOne('App\Models\SystemUser', 'id', 'created_by_id');
  }
}
